Subject: RE: Has anybody built perl 5.005.02 ? (or some ideas ?)
From: [email-masked] (Stephan Mueller)

5 Oct 1998 05:49:22 -0700
Message-ID: <61AC5C9A4B9CD11181A200805F57CD5406ED169D.cygnus.gnu-win32@RED-MSG-44>
To: "'Guglielmo Pasa'" <[email-masked]>, [email-masked]

The va_start macro is defined in both of varargs.h and stdarg.h.  varargs.h
is the 'classic' C, and stdarg.h is the ANSI C, mechanism for handling
functions which can take varying numbers of arguments.

va_start expects one argument in classic C, and two in ANSI C.  For some
reason, your compile environment is preferring the classic version, but it
appears as if all references to va_start in the perl sources want the ANSI
version, so the question is perhaps why isn't I_STDARG defined in your perl
build.

hope this helps,
stephan();

-----Original Message-----
From: Guglielmo Pasa [mailto:[email-masked]]
Sent: Saturday, October 03, 1998 12:25 PM
To: [email-masked]
Subject: Has anybody built perl 5.005.02 ? (or some ideas ?)

I followed the instructions in README.cygwin32 and ran :

export LD_LIBRARY_PATH=`pwd`

and finally :

make

after a little while it stopped with :

`sh  cflags libperl.a regcomp.o`  regcomp.c
          CCCMD =  /bin/gcc2 -DPERL_CORE -c  -O
regcomp.c:2663: macro `va_start' used with too many (2) args
make: *** [regcomp.o] Error 1

and I don't know why, what's the problem ? Does it confuse va_start
with something else ?

Has anybody built perl 5.005.02 successfully ? How can I do it

I tried it under NT4sp3 with last Sergey dll 19.3 and egcs 1.1

-- 
Sincerely yours,
				Pasa Guglielmo
------------------------------------------------------------------
¦ homepage: http://www.omedia.ch/pages/gpasa/			 ¦
¦----------------------------------------------------------------¦
¦ e-mail  : [email-masked]       ¦  tel. :  +41 (0)24 485 50 40 ¦
¦ mailing : Pasa Guglielmo        ¦  fax  :  +41 (0)24 485 50 44 ¦
¦ 	    Rte des Cases 17A     ¦ 	  	  		 ¦	
¦ 	 CH-1890 St-Maurice       ¦  prof.: physicist		 ¦	
¦	    (Switzerland)         ¦				 ¦	
------------------------------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".